# Uses of Class
org.astrogrid.samp.hub.Hub

Packages that use Hub
Package
Description
org.astrogrid.samp.hub
Classes required only for running a SAMP hub.

## Uses of Hub in org.astrogrid.samp.hub

Methods in org.astrogrid.samp.hub that return Hub
Modifier and Type
Method
Description
`static Hub[]`
Hub.`getRunningHubs()`
Returns an array of all the instances of this class which are currently running.
`static Hub`
Hub.`runHub(HubServiceMode hubMode)`
Starts a SAMP hub with a default set of profiles.
`static Hub`
Hub.`runHub(HubServiceMode hubMode, HubProfile[] profiles, HubProfile[] extraProfiles)`
Starts a SAMP hub with given sets of profiles.